# opalmixer.h File Reference

`#include <ptlib.h>`
`#include <opal/buildopts.h>`
`#include <queue>`
`#include <ptlib/psync.h>`
`#include <ptclib/delaychan.h>`
`#include <rtp/rtp.h>`
`#include <codec/opalwavfile.h>`

Go to the source code of this file.

## Classes

class | PMemBuffer< Locker_T >
struct | PMemBuffer< Locker_T >::Common
class | OpalAudioMixerStream
class | OpalAudioMixerStream::StreamFrame
class | OpalAudioMixer
class | OpalAudioMixer::MixerFrame